Get edge application image (GET /v1/apps/images/id/{id})
GET /api/v1/apps/images/id/. Storage API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the image
Response
A successful response.
Image metadata for edge gateway Base OS or for eedge applications.
User defined name of the image, unique across the enterprise. Once image is created, name can’t be changed.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the image. Title can be changed at any time.
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Image binary format.
FmtUnknown, RAW, QCOW, QCOW2, VHD, VMDK, OVA, VHDX, CONTAINER, ISO, PVC Image Architecture.
UNSPECIFIED, UNDEFINED, AMD64, ARM64 Image type
IMAGE_TYPE_UNSPECIFIED, IMAGE_TYPE_EVE, IMAGE_TYPE_APPLICATION, IMAGE_TYPE_EVEPRIVATE, IMAGE_TYPE_ARTIFACT, IMAGE_TYPE_DOCKER_COMPOSE_TAR, IMAGE_TYPE_DOCKER_RUNTIME, IMAGE_TYPE_ZKS_RUNTIME Datastore Id where image binary is located.
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}System defined universally unique Id of the image.
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Detailed description of the image.
256system defined info
Image relative path w.r.t. Datastore
Image checksum in SHA256 format
system defined info
Image status
IMAGE_STATUS_UNSPECIFIED, IMAGE_STATUS_CREATED, IMAGE_STATUS_PENDING, IMAGE_STATUS_UPLOADING, IMAGE_STATUS_READY, IMAGE_STATUS_INUSE, IMAGE_STATUS_ARCHIVED, IMAGE_STATUS_MAX, IMAGE_STATUS_FAILED, IMAGE_STATUS_UPLINKING Image size in KBytes.
Image upload/uplink detailed error/status message
Internal image location.
Origin type of image.
ORIGIN_UNSPECIFIED, ORIGIN_IMPORTED, ORIGIN_LOCAL, ORIGIN_GLOBAL, ORIGIN_APP_PROFILE_LOCAL project access list of the image
datastore Id list where image binary is located.
flag to indicate eve image is LTS or not